Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.portal.resolver.atom
Interface ResettableAtomContentHandler

All Superinterfaces:
  AtomContentHandler, org.xml.sax.ContentHandler, ResettableContentHandler

All Known Subinterfaces:
  DefaultAtomContentHandler

All Known Implementing Classes:
  LeafAtomContentHandler, ResettableAtomContentHandlerAdapter

    public interface ResettableAtomContentHandler

extends AtomContentHandler

Extension of `AtomContentHandler` that allows to builds processing chains of these handlers.

Since:
  6.0.1

Method Summary
`AtomContentHandler` | `getAtomContentHandler()` Returns the atom content handler that is currently attached to the chain
`void` | `setAtomContentHandler(AtomContentHandler aHandler)` Assign a new ATOM content handler that this handler will reroute its events onto.

Methods inherited from interface com.ibm.portal.resolver.atom.AtomContentHandler
`endAuthor, endCategory, endContent, endContributor, endEMail, endEntry, endFeed, endGenerator, endIcon, endId, endLink, endLogo, endName, endPublished, endRights, endSource, endSubtitle, endSummary, endTitle, endUpdated, endURI, startAuthor, startCategory, startContent, startContributor, startEMail, startEntry, startFeed, startGenerator, startIcon, startId, startLink, startLogo, startName, startPublished, startRights, startSource, startSubtitle, startSummary, startTitle, startUpdated, startURI`

Methods inherited from interface org.xml.sax.ContentHandler
`characters, endDocument, endElement, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping`

Method Detail

### setAtomContentHandler

    void setAtomContentHandler(AtomContentHandler aHandler)

  Assign a new ATOM content handler that this handler will reroute its events onto. If the content handler is not assigned, then the events will be silently ignored

  Parameters:
    `aHandler` - target content handler for the events.

### getAtomContentHandler

    AtomContentHandler getAtomContentHandler()

  Returns the atom content handler that is currently attached to the chain

  Returns:
    the target content handler

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD